> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List IP addresses allowed to access the API

> Returns a list of IP addresses ordered numerically.



## OpenAPI

````yaml /autogenerated/openapi/cis.openapi.json get /ipaddresses
openapi: 3.1.0
info:
  title: CIS API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /ipaddresses:
    get:
      tags:
        - IP addresses
      summary: List IP addresses allowed to access the API
      description: Returns a list of IP addresses ordered numerically.
      operationId: findAllIpaddresses
      parameters:
        - name: limit
          in: query
          schema:
            description: The maximum number of results to return.
            default: 100
            type:
              - integer
            minimum: 1
            maximum: 1000
            example: 200
        - name: offset
          in: query
          schema:
            description: The number of items to skip before returning results.
            default: 0
            type:
              - integer
            example: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    description: The maximum number of results to return.
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    example: 200
                  offset:
                    description: The number of items to skip before returning results.
                    default: 0
                    type:
                      - integer
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the IP address.
                          example: 2327f0d0-2cb5-4f31-8de2-b9d04036fdd9
                        ipaddressableId:
                          type:
                            - string
                          format: uuid
                        ip:
                          type:
                            - string
                          maxLength: 50
                          pattern: >-
                            ^(\b25[0-5]|\b2[0-4][0-9]|\b[01]?[0-9][0-9]?)(\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)){3}(\/([0-9]|[1-2][0-9]|3[0-2]))?$
                          description: The IP address.
                          example: 8.8.8.8
                        description:
                          type:
                            - string
                          maxLength: 256
                          description: A description of the IP address.
                          example: John Smith's home IP
                        ipaddressableType:
                          type:
                            - string
                          maxLength: 36
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - id
                        - ip
                        - description
                        - createdAt
                        - updatedAt
                required:
                  - count
                  - rows
                example:
                  limit: 200
                  offset: 100
                  count: 67
                  rows:
                    - id: 2327f0d0-2cb5-4f31-8de2-b9d04036fdd9
                      ipaddressableId: 8365191f-08b8-4dc5-88fd-73fcd7fd41a1
                      ip: 8.8.8.8
                      description: John Smith's home IP
                      ipaddressableType: string
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - ipaddresses:read:any
            - ipaddresses:read:own
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````